<?php

/*
Plugin Name: WPFTS Addon for RCWD Uploader
Description: This plugin allows to search on files uploaded by RCWD plugin
Version: 1.0.0
Tested up to: 5.5.1
Author: Epsiloncool
Author URI: https://e-wm.org
License: GPL3
License URI: http://www.gnu.org/licenses/gpl-3.0.html
Text Domain: wpfts_lang
Domain Path: /languages/
*/

/**
 *  Copyright 2013-2020 Epsiloncool
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 ******************************************************************************
 *  I am thank you for the help by buying PRO version of this plugin 
 *  at https://fulltextsearch.org/ 
 *  It will keep me working further on this useful product.
 ******************************************************************************
 * 
 *  @copyright 2013-2020
 *  @license GPL v3
 *  @version 1.0.0
 *  @package Wordpress Fulltext Search Pro
 *  @author Epsiloncool <info@e-wm.org>
 */
 
add_filter('wpfts_index_post', function($index, $post)
{
	global $wpfts_core;

	if ($post && $wpfts_core && function_exists('get_field')) {

		if ($post->post_type == 'paper') {		// You can change the post_type here
			$file = get_field('file', $post->ID);	// You can change the ACF field name here

			if (isset($file['path']) && (strlen($file['path']) > 0)) {
				require_once $wpfts_core->root_dir.'/includes/wpfts_utils.class.php';

				// This call will return extracted text from the FILE
				$ret = WPFTS_Utils::GetCachedFileContent_ByLocalLink($file['path'], false, true);

				$index['rcwd_file_content'] = isset($ret['post_content']) ? trim($ret['post_content']) : '';
			}
		}	
	}

	return $index;
}, 3, 2);

add_filter('pre_get_posts', function($wpq)
{
	if ($wpq->is_search && $wpq->is_main_search()) {
		$wpq->set('post_type', array('paper'));
		//$wpq->set('post_status', array('publish', 'inherit'));	// Do not forget 'inherit' when searching over attachments
	}
});
